module Stoolie
  VERSION = "0.0.3"

  class << self
    attr_accessor :config

    def configure
      @config ||= Config.new
      yield(config) if block_given?
      @config
    end
  end

  class Config
    attr_accessor :client, :smart_filter

    def initialize
      @client       = SmartFilter
      @smart_filter = {}
    end
  end

end

require File.expand_path(File.dirname(__FILE__) + '/stoolie/filter')

require 'stoolie/railtie' if defined?(Rails::Railtie)
