require File.expand_path(File.dirname(__FILE__) + '/../stoolie')

module Stoolie
  class Railtie < Rails::Railtie

    config.stoolie = ActiveSupport::OrderedOptions.new
    config.stoolie.smart_filter = ActiveSupport::OrderedOptions.new

    initializer "stoolie" do |app|
      Stoolie.configure do |config|
        config.client = app.config.stoolie.client if app.config.stoolie.client
        config.smart_filter = app.config.stoolie.smart_filter
      end
    end
  end
end
